diff --git a/web/pgadmin/static/css/bootstrap.overrides.css b/web/pgadmin/static/css/bootstrap.overrides.css
index 73b4fc7..a64e85b 100755
--- a/web/pgadmin/static/css/bootstrap.overrides.css
+++ b/web/pgadmin/static/css/bootstrap.overrides.css
@@ -1177,7 +1177,7 @@ form[name="change_password_form"] .help-block {
 .user_management {
   margin: 0 10px !important;
   width: calc(100% - 20px);
-  height: 100%;
+  height: calc(100% - 40px);
   overflow: hidden;
 }
 
@@ -1187,7 +1187,7 @@ form[name="change_password_form"] .help-block {
 
 .user_management table {
   display: block;
-  height: 100%;
+  height: calc(100% - 10px);
   overflow: auto;
   border: 0 none;
 }
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index ffdf8b2..ee8701a 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -386,6 +386,7 @@ define([
                     // clear our backform model/view
                     this.view.remove({data: true, internal: true, silent: true});
                     this.$content.remove();
+                    this.$footer.remove();
                   }
                 }
               },
@@ -404,9 +405,9 @@ define([
                           '</div>',
                         '</div>',
                       '</div>',
-                    '</div>'].join("\n")),
-                  $footer = $(footerTpl()),
-                  $statusBar = $footer.find('.pg-prop-status-bar'),
+                    '</div>'].join("\n"));
+                  self.$footer = $(footerTpl());
+                  var $statusBar = self.$footer.find('.pg-prop-status-bar'),
                   UserRow = Backgrid.Row.extend({
                     userInvalidColor: "lightYellow",
 
@@ -558,12 +559,14 @@ define([
 
                 this.$content = $("<div class='user_management object subnode'></div>").append(
                     headerTpl(data)).append($gridBody
-                    ).append($footer);
+                    );
 
                 $(this.elements.body.childNodes[0]).addClass(
                   'alertify_tools_dialog_backgrid_properties');
 
                 this.elements.content.appendChild(this.$content[0]);
+                this.elements.content.appendChild(this.$footer[0]);
+
 
                 // Render Search Filter
                 $('.search_users').append(
